Summary:	Firmware for Realtek wireless devices
Name:		rtlwifi-firmware
Version:	20131223git
Release:	1%{?dist}
License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
URL:		http://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git

# git clone http://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-build

BuildArch: noarch

%description
This package provides the firmware for Realtek wireless devices

%prep
%setup -q -n %{name}-%{version}

%build
# nothing to build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware/rtlwifi/
%{__install} -p -m 0644 *.bin %{buildroot}/lib/firmware/rtlwifi/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%dir /lib/firmware/rtlwifi
/lib/firmware/rtlwifi/*.bin

%changelog
* Fri Jan 03 2013 Philip J Perry <phil@elrepo.org> - 20131223git
- Initial build of the rtlwifi firmware package.
